API documentation | API docs for agents | OpenAPI 3.1

DELETE /api/v1/billing/invoice-remit-profiles/{profileId}

ark.deactivate_invoice_remit_profile

Deactivates a non-default organization invoice remit profile while preserving historical invoice snapshots.

Availability
Expanded preview
Scopes
billing:write
ARK permissions
canViewBillingcanMakeAdjustments
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

profileIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X DELETE 'https://arktms.com/api/v1/billing/invoice-remit-profiles/<profileId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Deactivated invoice remit profile

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.successbooleanrequired
data.defaultProfileIdstring | nullrequired

format: uuid

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry